Update a credential
When updating auth_config, the entire auth config is replaced. Partial updates within the auth config oneof are not supported. Omitting auth_config from the update_mask leaves credentials unchanged.
Scope: credential:write
Authorization
bearerAuth Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Path Parameters
Unique identifier for the credential (UUID).
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.admiral.io/api/v1/credentials/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "credential": {} }'{ "credential": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "type": "CREDENTIAL_TYPE_UNSPECIFIED", "auth_config": { "basic_auth": { "username": "string", "password": "string" } }, "labels": { "property1": "string", "property2": "string" }, "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}